
Smart Proxy - Bug #32288

Server CA cert not verified for IPA token API call
Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Security   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1948006 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/787

  

Description

Smart proxy ignores CA server certificate for a HTTPS call to IPA when fetching the token:

https://github.com/theforeman/smart-proxy/blob/88fbc8e67d665e2c3b19acb53b31ff30acf078b7/modules/realm_freeipa/provider.rb#L

32-L38

There should be a setting to verify CA cert (enabled by default), an installer option and instructions in our documentation on how to

enroll na CA cert into the OS cert store.

This issue was reported by Evgeni Golov, thank you.

Related issues:

Related to Installer - Feature #32289: Option to toggle IPA API server CA ver... New

Associated revisions

Revision 3bf19e08 - 04/12/2021 02:15 PM - Lukas Zapletal 

Fixes #32288 - verify FreeIPA CA by default and new setting

History

#1 - 04/12/2021 07:15 AM - Lukas Zapletal

- Related to Feature #32289: Option to toggle IPA API server CA verification added

#2 - 04/12/2021 09:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/smart-proxy/pull/787 added

#3 - 04/12/2021 02:15 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 04/12/2021 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 3bf19e08f3d1de1666aa2dabc1d2f7e88e1139ad.

#5 - 04/13/2021 06:25 AM - Lukas Zapletal

- Triaged changed from No to Yes

- Bugzilla link set to 1948006

#6 - 07/20/2021 08:15 AM - The Foreman Bot
https://github.com/theforeman/smart-proxy/blob/88fbc8e67d665e2c3b19acb53b31ff30acf078b7/modules/realm_freeipa/provider.rb#L32-L38
https://github.com/theforeman/smart-proxy/blob/88fbc8e67d665e2c3b19acb53b31ff30acf078b7/modules/realm_freeipa/provider.rb#L32-L38
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/3bf19e08f3d1de1666aa2dabc1d2f7e88e1139ad


- Pull request https://github.com/theforeman/smart-proxy/pull/792 added

#7 - 07/20/2021 08:20 AM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/792)

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

